[llvm-commits] CVS: llvm/test/DSGraphs/Makefile Makefile.DSGraphs

Chris Lattner lattner at cs.uiuc.edu
Fri Nov 8 15:30:01 PST 2002


Changes in directory llvm/test/DSGraphs:

Makefile updated: 1.7 -> 1.8
Makefile.DSGraphs updated: 1.8 -> 1.9

---
Log message:

Fix result printing


---
Diffs of the changes:

Index: llvm/test/DSGraphs/Makefile
diff -u llvm/test/DSGraphs/Makefile:1.7 llvm/test/DSGraphs/Makefile:1.8
--- llvm/test/DSGraphs/Makefile:1.7	Fri Nov  8 14:47:06 2002
+++ llvm/test/DSGraphs/Makefile	Fri Nov  8 15:29:01 2002
@@ -53,12 +53,19 @@
 dummylib.o: dummylib.c $(LCC1)
 	$(LCC) $< -c
 
-report.raw.out: $(LANALYZE)
-	gmake all 2>&1 | tee report.raw.out	
+recursive_reports :
+	$(VERB) for dir in ${PARALLEL_DIRS}; do \
+		(cd $$dir; $(MAKE) $@) || exit 1; \
+	done
+
+report.raw.out: dummylib.o $(LANALYZE)
+	gmake recursive_reports 2>&1 | tee report.raw.out	
 
 report: report.raw.out
 	-mv -f report.no-times.txt report.no-times.old.txt
 	-mv -f report.txt report.old.txt
-	./generate_report.pl -no-times report.raw.out | sort --key=2 -r > report.no-times.txt
-	./generate_report.pl report.raw.out | sort --key=2 -r | tee report.txt
+	./generate_report.pl -no-times report.raw.out > report.no-times.txt
+	./generate_report.pl report.raw.out > report.txt
+	@head -n1 report.txt
+	@sed '/^Name:/d' < report.txt | sort --key=2 -r -g
 


Index: llvm/test/DSGraphs/Makefile.DSGraphs
diff -u llvm/test/DSGraphs/Makefile.DSGraphs:1.8 llvm/test/DSGraphs/Makefile.DSGraphs:1.9
--- llvm/test/DSGraphs/Makefile.DSGraphs:1.8	Fri Nov  8 14:47:40 2002
+++ llvm/test/DSGraphs/Makefile.DSGraphs	Fri Nov  8 15:29:01 2002
@@ -1,4 +1,4 @@
-## $Id: Makefile.DSGraphs,v 1.8 2002/11/08 20:47:40 lattner Exp $
+## $Id: Makefile.DSGraphs,v 1.9 2002/11/08 21:29:01 lattner Exp $
 ##---------------------------------------------------------------------------- 
 ## Common makefile rules for testing DSGraph analysis.
 ## 
@@ -10,6 +10,8 @@
 
 include $(LEVEL)/test/Makefile.tests
 
+LIB_LINKED = $(PROG:.bc=.lib.bc)
+
 all:: $(PROG:.bc=.ps)
 
 PASS = td
@@ -30,15 +32,23 @@
 	link $< ../dummylib.o | opt -internalize -funcresolve -globaldce > $@
 
 
-ANALYZE_OPTS = -stats -time-passes -only-print-main-ds
-
 %.ps: %.lib.bc $(LANALYZE)
 	@echo "---------------------------------------------------------------"
 	@echo ">>> ========= " $<
 	@echo "---------------------------------------------------------------"
-	-time -p $(LANALYZE) -$(PASS)datastructure $(ANALYZE_OPTS) $<  | \
+	-$(LANALYZE) -$(PASS)datastructure -stats -time-passes $<  | \
                  tee $<.analyze$(PASS).out 2>&1
 	-dot -Tps < $(PASS).main.dot > $@
 
 clean::
 	/bin/rm -f core* *.dot *.ps *.lib.bc *.analyze*.out $(PROG)
+
+ANALYZE_OPTS = -stats -time-passes -only-print-main-ds
+report.out.txt: $(LIB_LINKED) $(LANALYZE)
+	@echo "---------------------------------------------------------------"
+	@echo ">>> ========= " $<
+	@echo "---------------------------------------------------------------"
+	-time -p $(LANALYZE) -$(PASS)datastructure $(ANALYZE_OPTS) $< > $@ 2>&1 
+
+recursive_reports: report.out.txt
+	cat report.out.txt
\ No newline at end of file





More information about the llvm-commits mailing list